%define _disable_ld_no_undefined 1


Summary: Utility for the creation of squashfs filesystems
Name: squashfs-tools
Version: 4.6.1
Release: %mkrel 1
License: GPLv2+
Group:		File tools
URL: http://squashfs.sourceforge.net/
Source0: http://downloads.sourceforge.net/squashfs/%{name}-%{version}.tar.xz
Source1: mksquashfs.1
Source2: unsquashfs.1
BuildRequires: gcc
BuildRequires: zlib-devel
BuildRequires: lib64lzma-devel
BuildRequires: lzo-devel
BuildRequires: libattr-devel
BuildRequires: lz4-devel
BuildRequires: lib64zstd-devel

%description
Squashfs is a highly compressed read-only filesystem for Linux.  This package
contains the utilities for manipulating squashfs filesystems.

%prep
%setup -q

%build
%setup_compile_flags

pushd squashfs-tools

%make_build -j1 ZSTD_SUPPORT=1 XZ_SUPPORT=1 LZO_SUPPORT=1 LZ4_SUPPORT=1 COMP_DEFAULT=zstd EXTRA_CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1
install -m 755 squashfs-tools/mksquashfs %{buildroot}%{_bindir}/mksquashfs
install -m 755 squashfs-tools/unsquashfs %{buildroot}%{_bindir}/unsquashfs
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/mksquashfs.1
install -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man1/unsquashfs.1


%files
%{_mandir}/man1/*
%{_bindir}/mksquashfs
%{_bindir}/unsquashfs

%changelog
* Sun Mar 26 2023 tex - 4.6.1-1pclos2023
- new version

* Fri Mar 25 2022 tex - 4.5.1-1pclos2022
- new version

* Fri Nov 11 2019 tex - 4.4-3pclos2019
- test set zstd by default 

* Fri Nov 11 2019 tex - 4.4-2pclos2019
- use xz by default like 4.3

* Fri Nov 11 2019 tex - 4.4-1pclos2019
- new release

* Sat Oct 12 2019 tex - 4.3-7pclos2019
- rebuild against updates

* Tue Jul 16 2019 tex - 4.3-6pclos2019
- Add zstd compression support (Sean Purcell via github.com/plougher/squashfs-tools)
